<%--
/**
 * The content rendered for the cell general tab.
 *
 * @version
 * @risk: Low
 *
 * @task name = cell general tab
 * cycle = 2
 * phase = Test
 * owner = Donny
 * status = Done
 * description = Implement the basic content of the page.
 *
 */
--%>

<%@ page import="com.hp.parmgr.ui.tags.Util" %>
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page pageEncoding="UTF-8"%>

<%@ page errorPage="exception.jsp" %>

<%--
     Using the I18N tag here helps set the appropiate charset for the page.
     This is needed even though this reference to the bundle isn't used
     elsewhere in the page.
--%>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="com.hp.parmgr.ui.Parmgr" id="bundle" />

<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html;charset=UTF-8">
<META HTTP-EQUIV="expires" CONTENT="0">
<%@ include file="session_keep_alive.jsp" %>
<script type='text/javascript' language='JavaScript' src='<%=Util.URL_PARMGR_JS%>'></script>
<link type='text/css' rel='stylesheet' href='<%=Util.URL_PARMGR_CSS%>'>
<link type='text/css' rel='stylesheet' href='<%=Util.URL_HARDWARE_CSS%>'>
</HEAD>

<BODY onLoad="loadMenuFrame('<%=Util.URL_BASE_JSP%>')">
<table class="properties" border=0 cellspacing=2 cellpadding=0>

  <jsp:include page="cell_general_body.jsp">
    <jsp:param name="makeLinks" value="true" />
  </jsp:include>

</table>
</BODY>
</HTML>
