<%--
/**
 * The JSP page for generating the create npar wizard steps menu. 
 *
 * @version $Header: /usr/local/vse/parmgr/src/web/jsp/create_npar_steps.jsp,v 1.6 2004/09/09 22:13:39 kingdom Exp $
 * @risk Low
 *
 * @task name = create npar steps menu
 *	cycle = 2
 *	phase = TEST
 *	owner = Ming
 *	status = Done
 *	description = create a step menu to show which step of the wizard the
 *                    user is on.
 */
--%>

<%
    // get the resource bundle
    java.util.ResourceBundle myRes = 
	java.util.ResourceBundle.getBundle("com.hp.parmgr.ui.WizardSteps",
                                           parsession.getLocale());

    String [] stepNames;
    int current;

    int numSteps;
    if (formAction=="create_npar.jsp"){
	stepNames = new String[8];
	stepNames[0] = "create.partition";
	stepNames[1] = "set.partition.name";
	stepNames[2] = "select.cells";
	stepNames[3] = "set.cell.attributes";
	stepNames[4] = "specify.CLM";
	stepNames[5] = "set.boot.options";
	stepNames[6] = "view.summary";
	stepNames[7] = "finish";

	// number of wizard steps.
	numSteps = 7;
	current = currentPage;
    } else {
	stepNames = new String[3];
	stepNames[0] = "modify.partition";
	stepNames[1] = "change.partition.settings";
	stepNames[2] = "finish";

	// number of wizard steps.
	numSteps = 2;
	if (currentPage != 10){
	    current = 1;
	} else {
	    current = 2;
	}
    }

    out.println("<!-- begin wizard position -->");
    out.println("  <table class=wizard-step-table >");
    out.println("    <tr>");
    out.println("      <td class=wizard-step-heading>");
    out.print("      ");
    out.println(myRes.getString(stepNames[0]));
    out.println("      </td>");
    out.println("    </tr>");
    
    for (int i = 1; i <= numSteps; i++) {
	out.println("    <tr>");
	if (current == i){
	    out.println("      <td class=wizard-step-selected>");
	} else {
	    out.println("      <td class=wizard-step-unselected>");
	}
	out.print("      ");
	out.println(myRes.getString(stepNames[i]));
	out.println("      </td>");
	out.println("    </tr>");
    }

    // print the step counter.
    java.text.MessageFormat myFormat = 
	new java.text.MessageFormat(myRes.getString("step"));

    Object[] msgArgs = {
	new Integer(current),
	new Integer(numSteps)
    };
    out.println("    <tr>");
    out.println("      <td class=wizard-step-counter>");
    out.print("      ");
    out.println(myFormat.format(msgArgs));
    out.println("      </td>");
    out.println("    </tr>");
    out.println("  </table> ");
    out.println("<!-- end wizard position -->");
%>
