<%--
 /**
 *
 * @version: $Header: /usr/local/vse/parmgr/src/web/jsp/create_npar_summary_cpu_mem.jsp,v 1.13 2006/04/06 20:15:39 scheetz Exp $
 * @risk: medium
 *
 * @task name = create npar view summary - cpu & memory tab
 * cycle = 2
 * phase = TEST
 * owner = Ming
 * status = Done
 * description =  display the CPU and Memory summary tables, along with per
 *		  cell information.
 *
 */
 --%>

<!-- begin summary tables -->

<%
    TreeMap cells = parConfig.getCellBeans();
    ArrayList cellList = new ArrayList();
    for ( Iterator i = cells.values().iterator(); i.hasNext(); ) {
        CellBean cell = (CellBean)i.next();
	cellList.add(cell.getCell());
    }
%>
    <table border="0" cellspacing="2" cellpadding="0">
	<tr>

          <%-- CPUs table --%>
          <td valign="top">
            <parmgr:cpusummarytable cells="<%=cellList%>"
                                resources="<%=parmgrTagResources%>" />
          </td>

          <%-- Memory table --%>
          <td valign="top">
            <parmgr:memorysummarytable cells="<%=cellList%>"
                                   resources="<%=parmgrTagResources%>" />
          </td>
	</tr>

    </table>

<!-- end summary tables -->

    <p>
    <!-- begin CPU & Memory table -->
    <table class="item-list">
	<thead><tr>
	    <td class=item-list-header-row>
		<i18n:message key="field.HardwareLocation.label" bundle="<%=bundle%>"/>
	    </td>
	    <td class=item-list-header-row>
		<i18n:message key="cpu.ok.deconfig.max" bundle="<%=bundle%>"/>
	    </td>
	    <td class=item-list-header-row>
		<i18n:message key="dimm.ok.deconfig.max" bundle="<%=bundle%>"/>
	    </td>
	    <td class=item-list-header-row>
		<i18n:message key="mem.ok.deconfig" bundle="<%=bundle%>"/>
	    </td>
	    <td class=item-list-header-row>
		<i18n:message key="field.CLMAmount.label" bundle="<%=bundle%>"/>
	    </td>
	</tr></thead>
	<tbody>

<%
    for ( Iterator i = cells.values().iterator(); i.hasNext(); ) {
        CellBean cell = (CellBean)i.next();
	    int cellID = cell.getGlobalID();
        CellSlot cellSlot = discovery.getCellSlot(cellID);
%>
        <tr>
	    <td class="item-list-row">
                <a class="link" href="javascript:openWindow('cell_properties.jsp?globalID=<%=cellID%>')">
                <%=cellSlot.getLongLabel()%>
		</a>
	    </td>
	    <td class="item-list-row">
		<%=cell.getCPUsOkDeconfigMax()%>
	    </td>
	    <td class="item-list-row">
		<%=cell.getDIMMsOkDeconfigMax()%>
	    </td>
            <td class="item-list-row">
		<%=cell.getMemoryOkDeconfig()%>
	    </td>
	    <td class="item-list-row">
		<%=cell.getCLMAmount()%>
	    </td>
	</tr>
<% } %>
    </tbody>
    </table>
<!-- end CPU & Memory table -->

<!-- display Enable Hyper-Threading option, only if cells are capable -->
<% 
if (parConfig.isHyperThreadingCapable()) 
{ 
%>
    <p class="parmgr-bold-text">
    <input type="checkbox" name="enable_hyper_threading" value="true" disabled
    <%=parConfig.isHyperThreadingEnabled() ? "checked" : ""%>
    >
    <i18n:message key="modify.changes.hyperthreading.enable" bundle="<%=bundle%>"/>
    </p>
<%  if (parConfig.isHyperThreadingEnabled()) 
    {   
%>
        <p class=parmgr-regular-text>
        <img src="<%=Util.URL_BASE_IMAGES + "/" + bundle.getString("summary.generalTab.warning.image")%>" />
        <i18n:message key="modify.changes.hyperthreading.warning.os" bundle="<%=bundle%>"/>
<%  } /* end if hyperthreading enabled */ 
%>
    </p>
<% 
} /* end if hyperthreading capable */ 
%>



