<%--
 /**
 *
 * @task name = create npar view summary - general tab
 * cycle = 2
 * phase = TEST
 * owner = Donny
 * status = Done
 * description = Implement the basic content and fields of the page.
 *
 * @task name = Link to wizard
 * cycle = 2
 * phase = TEST
 * owner = Ming
 * status = Done
 * description = none
 *
 */
 --%>
    <table class="properties" border=0 cellspacing=2 cellpadding=0>
      <tr>
        <td class="prop-table-header">
            <i18n:message key="field.ComplexName.label" bundle="<%=bundle%>"/>
        </td>
        <td class="prop-table-data">
             <%=discovery.getComplex().getName()%>
        </td>
      </tr>
      <tr>
        <td class="prop-table-header">
            <i18n:message key="field.PartitionName.label" bundle="<%=bundle%>"/>
        </td>
        <td class="prop-table-data">
              <%=parConfig.getName()%>
        </td>
      </tr>
      <tr>
           <td class="prop-table-header">
              <i18n:message key="field.NumberOfCells.label" bundle="<%=bundle%>"/>
        </td>
        <td class="prop-table-data">
              <%=parConfig.getNumberOfCells()%>
        </td>
      </tr>
      <tr>
        <td class="prop-table-header">
              <i18n:message key="field.NumberOfIOChassis.label" bundle="<%=bundle%>"/>
        </td>
        <td class="prop-table-data">
            <%=parConfig.getNumberOfIOChassis()%>
        </td>
      </tr>
      <tr>
    <td class="prop-table-header">
        <i18n:message key="field.CPUArchitecture.label" bundle="<%=bundle%>"/>
    </td>
    <td class="prop-table-data">
<%
    if (parConfig.getCellArchitectureString() != null) {
        String cellArch = parConfig.getCellArchitectureString();
%>
        <%=cellArch%>
<%  } else { %>
          <i18n:message key="field.unknown.string" bundle="<%=bundle%>"/>
<%  } %>
    </td>
      </tr>
      <tr>
    <td class="prop-table-header">
        <i18n:message key="field.Compatibility.label" bundle="<%=bundle%>"/>
    </td>
    <td class="prop-table-data">
<%
    String compatibility;
    if (parConfig.getCellCompatibilityLabelString() != null) {
        compatibility = parConfig.getCellCompatibilityLabelString();
    } else {
        compatibility = bundle.getString("field.unknown.string");
    }
    out.print(compatibility);
%>
        </td>
      </tr>
      <tr>
        <td class="prop-table-header">
              <i18n:message key="field.FirmwareRevision.label" bundle="<%=bundle%>"/>
        </td>
        <td class="prop-table-data">
<%  if (parConfig.getFirmwareRevision() != null) { %>
              <%=parConfig.getFirmwareRevision()%>
<%  } else { %>
          <i18n:message key="field.unknown.string" bundle="<%=bundle%>"/>
<%  } %>
        </td>
      </tr>
      <tr>
        <td class="prop-table-header-last">
              <i18n:message key="field.BootToBCH.label" bundle="<%=bundle%>"/>
        </td>
        <td class="prop-table-data-last">
<%  if (parConfig.getBootToBch()){ %>
              <i18n:message key="boot.automatic.choice" bundle="<%=bundle%>"/>
<%  } else { %>
              <i18n:message key="boot.manual.choice" bundle="<%=bundle%>"/>
<%  } %>
        </td>
      </tr>
  </table>
  <p class=parmgr-regular-text>
  <img src="<%=Util.URL_BASE_IMAGES + "/" + bundle.getString("summary.generalTab.warning.image")%>" />
  <i18n:message key="summary.generalTab.icap.warning" bundle="<%=bundle%>"/>
  </p>
<% if (hasWarnings) { %>
  <p class=parmgr-regular-text>
  <img src="<%=Util.URL_BASE_IMAGES + "/" + bundle.getString("summary.generalTab.warning.image")%>" />
  <i18n:message key="hacheck.Summary.generalTab.warning" bundle="<%=bundle%>"/>
  </p>
<% } else { %>
  <p class=parmgr-regular-text>
  <i18n:message key="hacheck.Summary.generalTab.success" bundle="<%=bundle%>"/>
  </p>
<% } %>

<% if (parConfig.isHyperThreadingEnabled()) 
   {   
%>
       <p class=parmgr-regular-text>
       <img src="<%=Util.URL_BASE_IMAGES + "/" + bundle.getString("summary.generalTab.warning.image")%>" />
       <i18n:message key="modify.changes.hyperthreading.warning.os" bundle="<%=bundle%>"/>
<% } /* end if hyperthreading enabled */ %>
