<%--
 /**
 *
 * @task name = create npar view summary - i/o chassis tab
 * cycle = 2
 * phase = TEST
 * owner = Donny
 * status = Done
 * description = Implement the basic content of the page.
 *
 * @task name = create npar view summary - i/o chassis tab
 * cycle = 2
 * phase = TEST
 * owner = Ming
 * status = Done
 * description = Link with wizard
 *
 */
 --%>
    <table class="item-list">
	<thead><tr>
	    <td class="item-list-header-row">
		<i18n:message key="field.HardwareLocation.label" bundle="<%=bundle%>"/>
	    </td>
	    <td class="item-list-header-row">
		<i18n:message key="field.ConnectedTo.label" bundle="<%=bundle%>"/>
	    </td>
	    <td class="item-list-header-row">
		<i18n:message key="field.IOSlots.Full.Empty.label" bundle="<%=bundle%>"/>
	    </td>
	    <td class="item-list-header-row">
		<i18n:message key="field.CoreIO.label" bundle="<%=bundle%>"/>
	    </td>
	</tr></thead>
	<tbody>


<%
    TreeMap cells = parConfig.getCellBeans();
    TreeMap chassis = parConfig.getIOChassis();
    for ( Iterator i = chassis.values().iterator(); i.hasNext(); ) {
	IOChassis chas = (IOChassis)i.next();
	IOChassisSlot slot = discovery.getChassisSlot(chas.getSlotID());
	int cab = slot.getCabinetID();
        int bay = slot.getIOBayNumber();
        int chassisNum = slot.getSlotNumber();
        int cellID = chas.getConnectedCellID();
        CellSlot cellSlot = discovery.getCellSlot(cellID);
%>
         <tr>
            <td class="prop-table-data">
	    <a class="link" href="javascript:openWindow('chassis_properties.jsp?cab=<%=cab%>&bay=<%=bay%>&chassis=<%=chassisNum%>')">
	    <%=slot.getLongLabel()%>
            </a>
            </td>
            <td class="prop-table-data">
                <a class="link" href="javascript:openWindow('cell_properties.jsp?globalID=<%=cellID%>')">
                <%=cellSlot.getLongLabel()%>
                </a>
            </td>

            <td class="prop-table-data">
<%
	int full = chas.getPopulatedPCISlotCount();
	int empty = chas.getPCISlotCount() - full;
%>
		<%=full+" / "+empty%>
            </td>

            <td class="prop-table-data">
<%	if (chas.hasCoreIO()) {  %>
                <i18n:message bundle="<%=cellResources%>"
		    key="field.YES.label"/>
<%	} else { %>
                <i18n:message bundle="<%=cellResources%>"
		    key="field.NO.label"/>
<%	} %>
            </td>
	</tr>

<%  }  %>

    </tbody>
</table>

