<%--
/**
 * The JSP page for the "HW Status Legend."
 *
 * Included by:  menu.jsp, create_npar_select_cells.jsp,
 *               modify_npar_select_cells.jsp
 *
 */
--%>

<i18n:bundle baseName="com.hp.parmgr.ui.menu" id="parmgrLegendResources"/>

<table border=0 cellpadding=0 cellspacing=0>
    <tr>
        <td class="prop-table-caption" colspan=2><i18n:message bundle="<%=parmgrLegendResources%>" key="statusIconLegend.caption"/></td>
    </tr>
    <tr>
        <td class="parmgr-regular-text" colspan=2>
        <font size=-2>
        <i18n:message bundle="<%=parmgrLegendResources%>" key="statusIconLegend.explain.label"/></font></td>
    </tr>
    <tr>
        <td class="prop-table-header"><i18n:message bundle="<%=parmgrLegendResources%>" key="statusIconLegend.activeok.label"/></td>
        <td class="prop-table-data"><img src="<%=Util.URL_BASE_IMAGES + "/up_arrow.gif"%>"></td>
    </tr>
    <tr>
        <td class="prop-table-header"><i18n:message bundle="<%=parmgrLegendResources%>" key="statusIconLegend.inactive.label"/></td>
        <td class="prop-table-data"><img src="<%=Util.URL_BASE_IMAGES + "/box_arrow.gif"%>"></td>
    </tr>
    <tr>
        <td class="prop-table-header"><i18n:message bundle="<%=parmgrLegendResources%>" key="statusIconLegend.deconfigured.label"/></td>
        <td class="prop-table-data"><img src="<%=Util.URL_BASE_IMAGES + "/orange_x.gif"%>"></td>
    </tr>
    <tr>
        <td class="prop-table-header"><i18n:message bundle="<%=parmgrLegendResources%>" key="statusIconLegend.minor.label"/></td>
        <td class="prop-table-data"><img src="<%=Util.URL_BASE_IMAGES + "/status_critical_sm_dk.gif"%>"></td>
    </tr>
    <tr>
        <td class="prop-table-header"><i18n:message bundle="<%=parmgrLegendResources%>" key="statusIconLegend.failed.label"/></td>
        <td class="prop-table-data"><img src="<%=Util.URL_BASE_IMAGES + "/circle.gif"%>"></td>
    </tr>
    <tr>
        <td class="prop-table-header"><i18n:message bundle="<%=parmgrLegendResources%>" key="statusIconLegend.poweringon.label"/></td>
        <td class="prop-table-data"><img src="<%=Util.URL_BASE_IMAGES + "/lightning.gif"%>"></td>
    </tr>
    <tr>
        <td class="prop-table-header"><i18n:message bundle="<%=parmgrLegendResources%>" key="statusIconLegend.poweredoff.label"/></td>
        <td class="prop-table-data"><img src="<%=Util.URL_BASE_IMAGES + "/lightning_slash.gif"%>"></td>
    </tr>
    <tr>
        <td class="prop-table-header"><i18n:message bundle="<%=parmgrLegendResources%>" key="statusIconLegend.unknown.label"/></td>
    <td class="prop-table-data"><img src="<%=Util.URL_BASE_IMAGES + "/blue_circle.gif"%>"></td>
    </tr>
</table>

<table>
<tr>
<%
   String helpAboutIcons = parsession.getHelpURL("icapStatusNotShown");
%>

<td class="parmgr-regular-text" colspan=2>
    <font size=-2>
    <i18n:message bundle="<%=parmgrLegendResources%>" key="statusIconLegend.helpLink1.label"/>
    <a href="<%=helpAboutIcons%>" class="link" target="helpWindow">
        <font size=-2>
        <i18n:message bundle="<%=parmgrLegendResources%>" key="statusIconLegend.helpLink2.label" />
    </font></a></font>
</td></tr>
</table>
