<%--
/**
 * JSP interface for displaying the log file.
 *
 * @version $Header: /usr/local/vse/parmgr/src/web/jsp/log.jsp,v 1.11 2008/03/05 12:55:58 sridharav Exp $
 * @risk: Low
 *
 * @task name = write the code for log viewer
 *       cycle = 5
 *       phase = TEST
 *       status = Done
 *       owner = Bryan
 *       description = None.
 */
--%>

<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ taglib uri="/com/hp/parmgr/ui/tags/parmgr" prefix="parmgr" %>

<%@ page import="com.hp.parmgr.ui.tags.LogViewer" %>
<%@ page import="com.hp.parmgr.ui.tags.Util" %>
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page pageEncoding="UTF-8"%>

<i18n:bundle baseName="com.hp.parmgr.ui.tags.tags" id="parmgrTagResources" />
<jsp:useBean id="parsession" scope="session" class="com.hp.parmgr.ui.ParmgrSession" />

<%
    String helpPageID="logViewer";
    int pageNumber;
    String pageNumberStr = request.getParameter("pageNumber");
    try {
        pageNumber = Integer.parseInt(pageNumberStr);
    }
    catch(NumberFormatException nfe) {
        pageNumber = LogViewer.LAST_PAGE;
    }
%>

<html>
<head>
 <META http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <META HTTP-EQUIV="expires" CONTENT="0">
<%@ include file="session_keep_alive.jsp" %>
  <link type='text/css' rel='stylesheet' href='<%=Util.URL_PARMGR_CSS%>'>
  <link type='text/css' rel='stylesheet' href='<%=Util.URL_HARDWARE_CSS%>'>
  <script type='text/javascript' language='JavaScript' src='<%=Util.URL_PARMGR_JS%>'></script>
  <title><i18n:message key="LogViewer.Title" bundle="<%=parmgrTagResources%>"/></title>
</head>

<body>
  <p class="subwindow-heading">
  <i18n:message key="LogViewer.Title" bundle="<%=parmgrTagResources%>"/>
  </p>
  <parmgr:logviewer resources="<%=parmgrTagResources%>"
                    helpURL="<%=parsession.getHelpURL(helpPageID)%>"
                    pageNumber="<%=pageNumber%>" />
</body>
</html>
