<%--
/**
 * The JSP page for the modify npar wizard that allows user to make changes to
 * the partition.
 *
 * @version $Header: /usr/local/vse/parmgr/src/web/jsp/modify_npar_make_changes.jsp,v 1.10 2006/01/30 22:24:35 tmartin Exp $
 * @risk Medium
 *
 * @task name = modify npar page: change settings
 *	cycle = 4
 *	phase = TEST
 *	owner = Ming
 *	status = DONE
 *	description = page that allows user to modify partition attributes.
 */
--%>
<%@ page import="com.hp.parmgr.ui.tags.Util" %>
<%@ page import="com.hp.parmgr.util.StringFormatUtil" %>

<%
    // JAGaf88550: guard against cross site scripting vulnerabilities,
    // by encoding parameters that may be output to the HTML stream:
    String szSelected =
        StringFormatUtil.encodeHtmlEntities(request.getParameter("selection"));
    // there is an error message.  Keep the user on the current screen, don't
    // move them to the one they clicked on.
    if (!((message == null) || (message.length() == 0))){
        szSelected = null;
    }

    String formName = null;

    // currentForm is inherited from modify_npar.jsp
    if (szSelected == null) {
        // initialize;
        szSelected = "GENERAL";
        switch (currentForm){
            case (HWPartitionBean.SET_NAME): szSelected = "GENERAL";
                                             break;
            case (HWPartitionBean.SELECT_CELLS): szSelected = "CELLS";
                                                 break;
            case (HWPartitionBean.CELL_OPTS): szSelected = "CELLOPTS";
                                              break;
            case (HWPartitionBean.CONFIG_MEM): szSelected = "CLM";
                                               break;
        }
    }

    if (szSelected.equals("GENERAL")) {
        formName = "setParName";
    } else if (szSelected.equals("CELLS")) {
        formName = "selectCells";
    } else if (szSelected.equals("CELLOPTS")) {
        formName = "setCellOptions";
    } else if (szSelected.equals("CLM")) {
        formName = "memConfig";
    }
%>

<script language="javascript">
function submitTabForm(myForm, tabSelection){
    var oForm = eval("document." + myForm);
    if (oForm.onsubmit()){
        oForm.selection.value = tabSelection;
        oForm.submit();
    }
}
</script>


<table border=0 cellpadding=0 cellspacing=0 width="100%">
<tr><td height=18 class=parmgr_tab_cell>
    <font class="wizard-page-heading">
    <i18n:message key="modify.makeChanges.header" bundle="<%=bundle%>"/>
    </font>
</td></tr>
<tr><td class=parmgr_tab_cell>
    <font class=parmgr-regular-text>
    <%=complexName%><br>
    <%=partitionName%><br>
    &nbsp;
    </font>
</td></tr>
<tr><td class=smc-filler>
<tabs:MxTabs selection="<%=szSelected%>" style="boris" urlBase="<%=Util.URL_BASE%>">
    <selectors>
        <selector id="GENERAL">
            <name>GENERAL</name>
            <label>
                <i18n:message key="modify.makeChanges.general.tab" bundle="<%=bundle%>"/>
            </label>
            <url>
                javascript:submitTabForm("<%=formName%>", "GENERAL");
            </url>
        </selector>

        <selector id="CELLS">
            <name>CELLS</name>
            <label>
                <i18n:message key="modify.makeChanges.addRemoveCell.tab" bundle="<%=bundle%>"/>
            </label>
            <url>
                javascript:submitTabForm("<%=formName%>", "CELLS");
            </url>
        </selector>

        <selector id="CELLOPTS">
            <name>CELLOPTS</name>
            <label>
                <i18n:message key="modify.makeChanges.setCellOptions.tab" bundle="<%=bundle%>"/>
            </label>
            <url>
                javascript:submitTabForm("<%=formName%>", "CELLOPTS");
            </url>
        </selector>

        <selector id="CLM">
            <name>CLM</name>
            <label>
                <i18n:message key="modify.makeChanges.clm.tab" bundle="<%=bundle%>"/>
            </label>
            <url>
                javascript:submitTabForm("<%=formName%>", "CLM");
            </url>
        </selector>
    </selectors>
</tabs:MxTabs>
</td></tr>

<tr><td bgcolor=white>

<%  if (szSelected.equals("GENERAL")) { %>

<%@ include file="modify_npar_set_name.jsp" %>

<%  } else if (szSelected.equals("CELLS")) { %>

<%@ include file="modify_npar_select_cells.jsp" %>

<%  } else if (szSelected.equals("CELLOPTS")) { %>

<%@ include file="modify_npar_cell_opts.jsp" %>

<%  } else if (szSelected.equals("CLM")) { %>

<%@ include file="modify_npar_config_mem.jsp" %>

<%  } %>

<input type="hidden" name="selection" value="<%=szSelected%>"/>

</td></tr>

</table>
