<%--
/**
 * Included JSP which creates the hierarchy and refresh segments of
 * each page.
 *
 * Included by:  complex.jsp, partition.jsp, cell.jsp, chassis.jsp
 *
 * @version $Header: /usr/local/vse/parmgr/src/web/jsp/scope_header.jsp,v 1.14 2008/08/22 13:46:22 sridharav Exp $
 * @risk: Low
 *
 */
--%>

<%
    String queryString = request.getQueryString();
    if (queryString != null) {
        currentURL = currentURL + "?" + queryString;
    }

    String vseRetUrl = (String) session.getAttribute("PARMGR_RETURNURL");

    //
    // Check for a group A (active complex) lock before continuing.
    // This can happen if the browser's URL path is manually changed while in the
    // lock dialog or the browser's refresh/reload button is hit at the right time.
    //
    com.hp.parmgr.model.Complex scopeComplex = discovery.getComplex();
    if (scopeComplex.isErrorObject() && (scopeComplex.getLockOwner() != null)) {
                java.util.ArrayList list = new java.util.ArrayList(1);
                list.add(scopeComplex);
                throw new com.hp.parmgr.model.LockedObjectError(list);
    }

    String scopeComplexName = scopeComplex.getName();
    if (scopeComplexName == null || scopeComplexName.length() == 0) {
        scopeComplexName = parmgrTagResources.getString("UnnamedComplexLabel");
    }

%>

<table border=0 cellpadding=0 cellspacing=0 width="100%" >
<tr>
    <td colspan="2" width="100%">
        <%@ include file="banner.jsp" %>
    </td>
</tr>
<tr>
    <td height=22 class=parmgr_tab_cell>
<%

   if (isPartitionValid) {
%>
        <a class="parmgr-regular-text">
            <%=parmgrTagResources.getString("ComplexScopeLabel") %>
            &nbsp;
        </a>

        <a class="link" href="complex.jsp">
            <%=scopeComplexName%>
        </a>

<%
   } else {
%>
        <a class="parmgr-bold-text">
            <%=parmgrTagResources.getString("ComplexScopeLabel") %>
            &nbsp;
        </a>

        <a class="parmgr-bold-text">
            <%=scopeComplexName%>
        </a>

<%
   }
%>


<%
   if (isPartitionValid) {
%>

      <br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<%
      if ((isCellIDPresent) || (validChassisID)) {
%>
      <a class="parmgr-regular-text">
         <%=parmgrTagResources.getString("PartitionScopeLabel") %>
          &nbsp;
            <a class="link" href="partition.jsp?partition=<%=parID%>">
            <%=partitionName%>
            </a>
      </a>
<%
      } else {
%>
      <a class="parmgr-bold-text">
         <%=parmgrTagResources.getString("PartitionScopeLabel") %>
          &nbsp;
            <%=partitionName%>
      </a>
<%
      }
%>

<%
   } if (isCellIDPresent) {
%>

        <br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <a class="parmgr-bold-text">
            <%=parmgrTagResources.getString("CellScopeLabel") %>
            &nbsp;<%=cellLocation%>
        </a>

<%
   } if (validChassisID) {
%>

        <br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <a class="parmgr-bold-text">
            <%=parmgrTagResources.getString("ChassisScopeLabel") %>
            &nbsp;
            <%=chassisName%>
        </a>

<% } %>

    </td>
    <FORM action="<%=currentURL%>" method="post">
    <td class=parmgr_tab_cell align=right valign=bottom>
        <a class="parmgr-regular-text">
            <font size=-2><b>
            <%=parmgrTagResources.getString("LastComplexScan.label") %>
            </b>&nbsp;&nbsp;<%=discovery.getLastUpdateTime()%>
            </font>
        </a>
        &nbsp;&nbsp;

<% String refreshLabel = parmgrTagResources.getString("Refresh.label"); %>

            <INPUT class="button-bold"
                   type="submit"
                   value="<%=refreshLabel%>"
                   name="refresh" />
     </td>
     </FORM>
</tr>
</table>



