<%@ taglib uri="/com/hp/parmgr/ui/tags/parmgr" prefix="parmgr" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>

<i18n:bundle baseName="com.hp.parmgr.ui.Parmgr" id="parmgrBundle" />
<i18n:bundle baseName="com.hp.parmgr.ui.tags.tags" id="parmgrTagResources" />

<%@ page import="java.net.URLDecoder" %>
<%@ page import="com.hp.parmgr.util.StringFormatUtil" %>
<%@ page import="com.hp.vse.ui.actions.ReturnAction" %>
<%@ page import="com.hp.parmgr.ui.tags.Util" %>
<%@ page import="com.hp.vse.ui.glib.PageG" %>
<%@ page import="java.text.MessageFormat" %>
<%@ page import="java.util.*" %>
<%@ page import="java.lang.Boolean" %>

<script src="/mxportal/js/MxPortalApi.js" language="JavaScript" type="text/javascript"></script>
<script src="<%=Util.URL_PARMGR_JS%>" language="JavaScript" type="text/javascript"></script>

<div id="ParmgrBanner">

<table width=100% border=0 cellspacing=0 cellpadding=0>
  <tr>
    <td width="100%" nowrap style='background:#CCCCCC;'>
      <p><span style='font-size:15.0pt;font-family:Arial;color:black'>&nbsp;<b>Partition Manager</b></span></p>
    </td>
  </tr>
</table>

</div>

<%
String vseGoBackUrl  = request.getParameter(PageG.RETURN_FIELD);
if (vseGoBackUrl != null) {

	String rBUrl = ReturnAction.popReturnUrl(vseGoBackUrl);

    // Decode any special characters in the URL, before storing:
	String decodedBUrl = URLDecoder.decode(rBUrl, "utf-8");
    // JAGaf88550: guard against cross site scripting vulnerabilities:
	decodedBUrl = StringFormatUtil.encodeHtmlEntities(decodedBUrl);
    // Store as a session attribute, used to create the "Go Back" links:
	session.setAttribute("PARMGR_BRETURNURL", decodedBUrl);
}

vseGoBackUrl = (String) session.getAttribute("PARMGR_BRETURNURL");

	// The code below is to generate the html which has to be passed to the
	// MxApi to set the go back link. All this complexity is to bring it to 
	// localization standards.!

String StrGoBackHtml;
String StrVSELabel = parmgrTagResources.getString("VSELabel");
String VSEHtml = "<a href=\"javascript:MxPortalWorkspaceCreateUrl(\\'" + StrVSELabel + "\\',\\'" + vseGoBackUrl + "\\')\">" + StrVSELabel + "</a>";
MessageFormat GoBackHtml = new MessageFormat(parmgrTagResources.getString("GoBackLabel"));
Object [] GoBackArgs = { VSEHtml };
StrGoBackHtml = GoBackHtml.format(GoBackArgs);

%>

<script language='JavaScript' type='text/javascript'>
    if( isHpSimPortalPresent() ) {
        hideObject("ParmgrBanner");
        MxPortalWorkspaceSetTitleHtml("Partition Manager");
        MxPortalWorkspaceSetGoBackHtml('<%=StrGoBackHtml%>');
	MxPortalWorkspaceSetHelpTopicEx("parmgr", "about");
        MxPortalWorkspaceSetSubtitleHtml("");
    }
</script>
