<%@ page import="com.hp.parmgr.ui.tags.Util" %>
<%@ page import="com.hp.parmgr.util.StringFormatUtil" %>
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page pageEncoding="UTF-8"%>

<%@ taglib uri="/com/hp/mx/taglibs/MxTabsTag" prefix="tabs" %>
<%@ taglib uri="/com/hp/parmgr/ui/tags/parmgr" prefix="parmgr" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>

<%@ page errorPage="exception.jsp" %>

<%
    // JAGaf88550: guard against cross site scripting vulnerabilities,
    // by encoding parameters that may be output to the HTML stream:
    String cellID =
        StringFormatUtil.encodeHtmlEntities(request.getParameter("globalID"));
    if (cellID == null) {
        cellID = "-1";
    }

    String srcJsp = "";
    // JAGaf88550: guard against cross site scripting vulnerabilities,
    // by encoding parameters that may be output to the HTML stream:
    String szSelected =
        StringFormatUtil.encodeHtmlEntities(request.getParameter("selection"));
    if (szSelected == null) {
        szSelected = "GENERAL";
    }

%>

<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html;charset=UTF-8">
<%@ include file="session_keep_alive.jsp" %>
<tabs:MxTabs dumpHeadContent="true" urlBase="<%=Util.URL_BASE%>"/>
<i18n:bundle baseName="com.hp.parmgr.ui.CellView" id="bundle" />
<i18n:bundle baseName="com.hp.parmgr.ui.tags.tags" id="parmgrTagResources" />
<script type='text/javascript' language='JavaScript' src='<%=Util.URL_PARMGR_JS%>'></script>
<link type='text/css' rel='stylesheet' href='<%=Util.URL_PARMGR_CSS%>'>
<link type='text/css' rel='stylesheet' href='<%=Util.URL_HARDWARE_CSS%>'>
<TITLE>Partition Manager - Cell <%=cellID%></TITLE>
</HEAD>

<BODY>

<table border=0 cellpadding=0 cellspacing=0 width="100%" height="100%">
<tr><td class=smc-filler>
<tabs:MxTabs selection="<%=szSelected%>" style="boris" urlBase="<%=Util.URL_BASE%>">
    <selectors>
        <selector id="GENERAL">
            <label><i18n:message key="tab.General.label" bundle="<%=bundle%>" /></label>
            <url>
                <%=request.getRequestURI()%>?selection=GENERAL&amp;globalID=<%=cellID%>
            </url>
        </selector>
        <selector id="CPUMEM">
            <label><i18n:message key="tab.CPUMem.label" bundle="<%=bundle%>" /></label>
            <url>
                <%=request.getRequestURI()%>?selection=CPUMEM&amp;globalID=<%=cellID%>
            </url>
        </selector>

        <selector id="IO">
            <label><i18n:message key="tab.IO.label" bundle="<%=bundle%>" /></label>
            <url>
                <%=request.getRequestURI()%>?selection=IO&amp;globalID=<%=cellID%>
            </url>
        </selector>
    </selectors>
</tabs:MxTabs>
</td></tr>

<tr height="100%">
  <td align="left" valign="top" bgcolor=white>
<%
    if (szSelected.equals("GENERAL")) {
%>
    <table class="properties" border=0 cellspacing=2 cellpadding=0>
      <jsp:include page="cell_general_body.jsp">
        <jsp:param name="globalID" value="<%=cellID%>" />
        <jsp:param name="makeLinks" value="false" />
      </jsp:include>
    </table>
<%
    } else if (szSelected.equals("CPUMEM")) {
%>
      <jsp:include page="cell_cpu_mem.jsp">
        <jsp:param name="globalID" value="<%=cellID%>" />
        <jsp:param name="makeLinks" value="false" />
      </jsp:include>
<%
    } if (szSelected.equals("IO")) {
%>
      <jsp:include page="cell_io.jsp">
        <jsp:param name="globalID" value="<%=cellID%>" />
        <jsp:param name="makeLinks" value="false" />
      </jsp:include>
<%
    }
%>
</td></tr>
</table>

</BODY>
</HTML>
