<%--
/**
 * The JSP page for create npar wizard page: set cell attributes. 
 *
 * @version $Header: /usr/local/vse/parmgr/src/web/jsp/cm_npar_cell_opts.jsp,v 1.7 2007/04/19 15:53:15 scheetz Exp $
 * @risk Medium
 *
 * @task name = set cell attributes
 *	cycle = 2
 *	phase = TEST
 *	owner = Ming
 *	status = Done
 *	description = wizard page: set cell attributes.
 */
--%>

<%
Log.detail(Log.EVENT_INTERMEDIATE, Log.RESULT_NONE, "Set Cell Attributes");
%>

<ul class="parmgr-regular-text">
<li>
<i18n:message bundle="<%=bundle%>" key="modify.setCellOptions.floating.bullet1.intro" />
</li>
<li>
<i18n:message bundle="<%=bundle%>" key="modify.setCellOptions.floating.bullet2.intro" />
</li>
</ul>

<%@ include file="cm_npar_cell_opts_scripts.jsp" %>

<%
    // Need to know up front if there are any error cells, because if there
    // are, we display extra text with the introductory text for the tab.
    // In the table, we display core cell choices that already exist, but
    // don't put up selection lists - the user is not allowed to changed
    // core cell choices in this case.
    //
    // (This only applies to modify npar, since the user can't get this
    // far with error cells selected in create npar.)
    boolean haveErrorCells = false;
    {
        // Make this local to help minimize confusion in the config_cell_table
        // include file.
        TreeMap cells = parConfig.getCellBeans();
        for (Iterator iter = cells.values().iterator(); iter.hasNext(); ) {
            CellBean cell = (CellBean)iter.next();
            if (cell.isErrorObject()) {
                haveErrorCells = true;
                break;
            }
        }
    }

    if (haveErrorCells) {
%>

<p class="parmgr-regular-text">
<i18n:message key="field.SetErrorCellAttributesInstructions.label" bundle="<%=bundle%>"/>
</p>

<%
    } else {
%>

<p class="parmgr-regular-text">
<i18n:message key="field.SetCellAttributesInstructions.label" bundle="<%=bundle%>"/>
</p>

<%  } %>

<form action="<%=formAction%>" method="post" name="setCellOptions"
    onSubmit="return validateCellOptions(document.setCellOptions);" >

    <%-- hidden value used to keep track of which step we are on --%>
    <input type="hidden" name="stepNumber" value="<%=HWPartitionBean.CELL_OPTS%>">

    <%@ include file="cell_config_table.jsp" %>
