<%--
/**
 * The JSP page for setting the name of a partition.  This page is used by both
 * create npar wizard and modify npar dialog.
 *
 * @version $Header: /usr/local/vse/parmgr/src/web/jsp/cm_npar_set_name.jsp,v 1.6 2006/03/23 18:06:36 scheetz Exp $
 *
 */
--%>

<%
Log.detail(Log.EVENT_INTERMEDIATE, Log.RESULT_NONE, 
        "Set nPartition Name");
%>

<%-- This file contains all the javascripts this page needs. --%>
<%@ include file="cm_npar_set_name_scripts.jsp" %>

<%
    String lengthMessage = bundle.getString("error.parNameMissing.message");
    String contentMessage = bundle.getString("error.parName.message");
%>
<%-- The method is post so that the parameters does not show up on the URL --%>
<FORM action="<%=formAction%>" method="post" name="setParName" 
      onSubmit='return validateName(parName.value, "<%=lengthMessage%>", "<%=contentMessage%>");'>

<%-- hidden value used to keep track of which step we are on --%>
<input type="hidden" name="stepNumber" value="<%=HWPartitionBean.SET_NAME%>">

<font class="parmgr-regular-text">
    <p>
	<font class="wizard-page-subheading">
	<i18n:message key="field.SetParName.label" bundle="<%=bundle%>"/>
	</font> <br>
	<i18n:message key="field.SetParNameDescription.label" bundle="<%=bundle%>"/>
    </p>

    <%-- begin get par name table --%>
    <table border="0" cellpadding="10" class="parmgr-regular-text">
	<tr>
	    <td>
		<font class="wizard-page-field-label">
		<i18n:message key="field.ParName.label" bundle="<%=bundle%>"/>
		</font>
	    </td>
	    <td>
		<%-- 
		    if the user has not specified a name, the name string will 
		    be a default, i.e. Genesis, else the string will be the last
		    string that passed validation.
		--%>
		<input type="text" size="40" maxlength="64" 
		       name="parName" value="<%=parConfig.getName()%>"/>
	    </td>
	</tr>
    </table>
    <%-- end get nPar name table --%>
</font>
