<%--
 /**
 *
 * @version $Header: /usr/local/vse/parmgr/src/web/jsp/create_npar_summary_cells.jsp,v 1.14 2005/07/30 21:17:57 tmartin1 Exp $
 * @risk: medium
 *
 * @task name = create npar view summary - cells tab
 * cycle = 2
 * phase = TEST
 * owner = Donny
 * status = Done
 * description = Implement the basic content of the page.
 *
 * @task name = Link with wizard
 * cycle = 2
 * phase = TEST
 * owner = Ming
 * status = Done
 * description = none
 */
 --%>
    <table class="item-list">
	<thead><tr>
	    <td class="item-list-header-row">
		<i18n:message key="field.HardwareLocation.label" bundle="<%=bundle%>"/>
	    </td>
	    <td class="item-list-header-row">
		<i18n:message key="field.ConnectedTo.label" bundle="<%=bundle%>"/>
	    </td>
	    <td class="item-list-header-row">
		<i18n:message key="field.CanBeCore.label" bundle="<%=bundle%>"/>
	    <td class="item-list-header-row">
		<i18n:message key="field.CellType.label" bundle="<%=bundle%>"/>
	    </td>
	    <td class="item-list-header-row">
		<i18n:message key="field.UseOnNextBoot.label" bundle="<%=bundle%>"/>
	    </td>
	    <td class="item-list-header-row">
		<i18n:message key="field.FailureUsage.label" bundle="<%=bundle%>"/>
	    </td>
	    <td class="item-list-header-row">
		<i18n:message key="field.CoreCellChoice.label" bundle="<%=bundle%>"/>
	    </td>
	</tr></thead>
	<tbody>
<%
    TreeMap cells = parConfig.getCellBeans();
    for ( Iterator i = cells.values().iterator(); i.hasNext(); ) {
	CellBean cell = (CellBean)i.next();
	int cellID = cell.getGlobalID();
	CellSlot cellSlot = discovery.getCellSlot(cellID);
%>
         <tr>
	    <td class="prop-table-data">
		<a class="link"
                   href="javascript:openWindow('cell_properties.jsp?globalID=<%=cellID%>')"
                >
		<%=cellSlot.getLongLabel()%>
		</a>
	    </td>
	    <td class="prop-table-data">
<%
        if (cell.isConnectedToIOChassis()) {
            IOChassisSlot ioChassisSlot =
                discovery.getChassisSlot(cell.getConnectedIOChassisID());
            int cab = ioChassisSlot.getCabinetID();
            int bay = ioChassisSlot.getIOBayNumber();
            int chassis = ioChassisSlot.getSlotNumber();
%>
                <a class="link"
                   href="javascript:openWindow('chassis_properties.jsp?cab=<%=cab%>&bay=<%=bay%>&chassis=<%=chassis%>')"
                >
		<%=ioChassisSlot.getLongLabel()%>
                </a>
<%      } else { %>
                <i18n:message key="cell.NA.string" bundle="<%=bundle%>"/>
<%      } %>
	    </td>

	    <td class="prop-table-data">
<%	if (cell.canBeCore()) { %>
                <i18n:message key="field.YES.label" bundle="<%=cellResources%>"/>
<%      } else { %>
                <i18n:message key="field.NO.label" bundle="<%=cellResources%>"/>
<%      } %>
	    </td>

<%
	String [] cellUsage = {
	    "cell.usage.unknown",
	    "cell.usage.other",
	    "cell.usage.none",
	    "cell.usage.base",
	    "cell.usage.base.no.interleave",
	    "cell.usage.floating",
	    "cell.usage.do.not.use"
	};
%>
	    <td class="prop-table-data">
		<i18n:message key="<%=cellUsage[cell.getType()]%>" bundle="<%=bundle%>"/>
	    </td>

	    <td class="prop-table-data">
<%	if (cell.getUseOnNextBoot()) { %>
		<i18n:message key="field.YES.label" bundle="<%=cellResources%>"/>
<%	} else { %>
		<i18n:message key="field.NO.label" bundle="<%=cellResources%>"/>
<%	} %>
	    </td>

	    <td class="prop-table-data">
		<i18n:message key="<%=cellUsage[cell.getFailureUsage()]%>" bundle="<%=bundle%>"/>
	    </td>

<%
	String [] choices = { "core.choice.none",
			      "core.choice.first",
			      "core.choice.second",
			      "core.choice.third",
			      "core.choice.fourth"
	};

%>
	    <td class="prop-table-data">
		<i18n:message key="<%=choices[cell.getCoreChoice()]%>" bundle="<%=bundle%>"/>
	    </td>
	</tr>
<%  } %>
    </tbody>
    </table>
