<%--
/**
 * The JSP page for modifying the memory configurations.
 *
 * @version $Header: /usr/local/vse/parmgr/src/web/jsp/modify_npar_config_mem.jsp,v 1.8 2006/03/23 18:06:37 scheetz Exp $
 * @risk Medium
 *
 * @task name = modify npar: config memory
 *	cycle = 4
 *	phase = test
 *	owner = Ming
 *	status = done
 *	description = change CLM settings
 */
--%>

<% parConfig.setPrevChangePage(HWPartitionBean.CONFIG_MEM); %>

<%
// Can't use the variable "message" because it has special meaning that
// we don't want (causes a popup to be displayed and the user be sent
// back to the form they came from before they entered modify).
String memMessage = parConfig.checkForAnyErrorCells();
if (memMessage.length() > 0) {
    Log.detail(Log.EVENT_INTERMEDIATE, Log.RESULT_NONE, 
               "Configure Memory");

    Log.error(bundle.getString("errorCells.error.log"));
%>
<!-- formAction is either modify_npar.jsp or create_npar.jsp -->
    <form action="<%=formAction%>" method="post" name="memConfig"
          onSubmit="return true;">

<!--
    set stepNumber so when the user changes pages, we know what page they
    came from.  Set haveErrorCells to true so that we know we came from
    an error page
-->
    <input type="hidden" name="stepNumber" value="<%=HWPartitionBean.CONFIG_MEM%>">
    <input type="hidden" name="haveErrorCells" value="true">
    <p>
    <br>
    <%=memMessage%>
    <br>
    </p>
<!-- the /form is on a page that includes this one. -->
<% } else { %>
    <%@ include file="cm_npar_config_mem.jsp" %>
<% } %>
