<%--
/**
 * The JSP page for the modify npar wizard finish page.
 *
 * @version $Header: /usr/local/vse/parmgr/src/web/jsp/modify_npar_finish.jsp,v 1.23 2006/03/23 18:06:37 scheetz Exp $
 * @risk Medium
 *
 * @task name = modify npar page: finish
 *	cycle = 4
 *	phase = test
 *	owner = Ming
 *	status = done
 *	description = none.
 */
--%>
<%@ page import="com.hp.parmgr.ui.tags.Util" %>
<%@ page import="com.hp.parmgr.util.StringFormatUtil" %>

<script language="javascript">
function submitTabForm(myForm, tabSelection){
    var oForm = eval("document." + myForm);
    if (oForm.onsubmit()){
        oForm.select.value = tabSelection;
        oForm.submit();
    }
}
</script>

<%
    parModify = parConfig.getParmodifyCmd();

    /* disovery object from create_npar.jsp, 2nd param is the resource bundle */
    HaChecks checks = new HaChecks(discovery, parsession.getLocale());

    List haCheckResults = new ArrayList();

    Cell[] cellsArray = parConfig.getCells();

    haCheckResults = checks.getHaChecks(cellsArray);
    // this call must come after the call to getHaChecks to get the correct
    // value.
    boolean hasWarnings = checks.hasWarnings();

    boolean noNotesWarnings = true;
    if ((hasWarnings) ||
        (parModify.getUserRemovedActiveCells()) ||
        (parModify.getUserChangedCLM()) ||
        (parModify.getUserAddedCells()) ||
        (parModify.getUserRemovedCells()))
    {
        noNotesWarnings = false;
    }

    changeSummary = parModify.getChanges();

    // JAGaf88550: guard against cross site scripting vulnerabilities,
    // by encoding parameters that may be output to the HTML stream:
    String szSelected =
        StringFormatUtil.encodeHtmlEntities(request.getParameter("select"));
    if (szSelected == null) {
        switch (currentForm){
            case (HWPartitionBean.FINISH_NOTES): szSelected = "NOTES";
                                                 break;
            case (HWPartitionBean.FINISH_CHANGES): szSelected = "SUMMARY";
                                                   break;
            case (HWPartitionBean.FINISH_HA): szSelected = "HA";
                                              break;
            default: szSelected = "NOTES";
        }
    }

%>

<%-- The method is post so that the parameters does not show up on the URL --%>
<FORM action="modify_npar.jsp" method="post" name="finish"
      onSubmit="return true">

<%-- hidden value used to keep track of which step we are on --%>
<input type="hidden" name="select" value="<%=szSelected%>"/>

<table border=0 cellpadding=0 cellspacing=0 width="100%">
<tr><td height=22 class=parmgr_tab_cell>
    <font class="wizard-page-heading">
    <i18n:message key="modify.finish.header" bundle="<%=bundle%>"/>
    </font>
</td></tr>
<tr><td class=parmgr_tab_cell>
    <font class=parmgr-regular-text>
    <%=complexName%><br>
    <%=partitionName%><br>
    &nbsp;
    </font>
</td></tr>
<tr><td class=smc-filler>
<tabs:MxTabs selection="<%=szSelected%>" style="boris" urlBase="<%=Util.URL_BASE%>">
    <selectors>
        <selector id="NOTES">
            <name>NOTES</name>
            <label>
                <i18n:message key="modify.finish.notesWarnings.tab" bundle="<%=bundle%>"/>
            </label>
            <url>
                javascript:submitTabForm("finish", "NOTES");
            </url>
        </selector>

        <selector id="SUMMARY">
            <name>SUMMARY</name>
            <label>
                <i18n:message key="modify.finish.summary.tab" bundle="<%=bundle%>"/>
            </label>
            <url>
                javascript:submitTabForm("finish", "SUMMARY");
            </url>
        </selector>

        <selector id="HA">
            <name>HA</name>
            <label>
                <i18n:message key="modify.finish.ha.tab" bundle="<%=bundle%>"/>
            </label>
            <url>
                javascript:submitTabForm("finish", "HA");
            </url>
        </selector>
    </selectors>
</tabs:MxTabs>
</td></tr>

<tr><td bgcolor=white>

<%  if (szSelected.equals("NOTES")) {
        Log.detail(Log.EVENT_INTERMEDIATE, Log.RESULT_NONE,
            "Summary: Notes and Warnings");
%>

<%@ include file="modify_npar_notes.jsp" %>

<%  } else if (szSelected.equals("SUMMARY")) {
        Log.detail(Log.EVENT_INTERMEDIATE, Log.RESULT_NONE,
            "Summary: Changes");
%>

<%@ include file="modify_npar_summary.jsp" %>

<%  } else if (szSelected.equals("HA")) {
        Log.detail(Log.EVENT_INTERMEDIATE, Log.RESULT_NONE,
            "Summary: HA Checks");
%>

<%@ include file="modify_npar_HA_checks.jsp" %>

<%  } %>

</td></tr>

</table>

